package com.cf.imes.module.executor.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 排单状态
 *
 * @author Gqr
 * @since 2024/6/7 14:25
 */
@RequiredArgsConstructor
@Getter
public enum OrderPlanStatusEnum {
    NEW(0, "新单"),

    APPLY(1, "板材已申请"),

    OPENING(2, "开料中"),

    OPENED(3, "已开料");

    /**
     * 类型编码
     */
    private final Integer code;

    /**
     * 描述
     */
    private final String desc;
}